Package org.opensaml.xmlsec.signature.impl

# Class RSAKeyValueImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.impl.RSAKeyValueImpl

All Implemented Interfaces:
  `XMLObject`, `RSAKeyValue`

public class RSAKeyValueImpl extends AbstractXMLObject implements RSAKeyValue
Concrete implementation of `RSAKeyValue`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Exponent`
`exponent`
Exponent child element value.
`private Modulus`
`modulus`
Modulus child element value.

### Fields inherited from interface org.opensaml.xmlsec.signature.RSAKeyValue

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RSAKeyValueImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Exponent`
`getExponent()`
Get the Exponent child element.
`Modulus`
`getModulus()`
Get the Modulus child element.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setExponent(Exponent newExponent)`
Set the Exponent child element.
`void`
`setModulus(Modulus newModulus)`
Set the Modulus child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### modulus

@Nullable private Modulus modulus
Modulus child element value.

### exponent

@Nullable private Exponent exponent
Exponent child element value.

## Constructor Details

### RSAKeyValueImpl

protected RSAKeyValueImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getModulus

@Nullable public Modulus getModulus()
Get the Modulus child element.

Specified by:
  `getModulus` in interface `RSAKeyValue`
Returns:
  the Modulus child element

### setModulus

public void setModulus(@Nullable Modulus newModulus)
Set the Modulus child element.

Specified by:
  `setModulus` in interface `RSAKeyValue`
Parameters:
  `newModulus` - the new Modulus child element

### getExponent

@Nullable public Exponent getExponent()
Get the Exponent child element.

Specified by:
  `getExponent` in interface `RSAKeyValue`
Returns:
  the Exponent child element

### setExponent

public void setExponent(@Nullable Exponent newExponent)
Set the Exponent child element.

Specified by:
  `setExponent` in interface `RSAKeyValue`
Parameters:
  `newExponent` - the new Exponent child element

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements